Cyberduck Mountain Duck CLI

#76 closed enhancement (fixed)

HTTP proxy tunneling using CONNECT method

Reported by: Chris Gregg Owned by:
Priority: low Milestone: 4.7
Component: core Version: 2.5.3
Severity: minor Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

At work, I cannot use Cyberduck through the HTTP proxy (and it seems that the SOCKS proxy is either broken or nonexistent). Support for this would be great. Thanks!

Change History (16)

comment:1 Changed on Jan 16, 2006 at 11:53:00 PM by dkocher

  • Description modified (diff)
  • Priority changed from normal to low
  • Severity changed from normal to minor
  • Status changed from new to assigned
  • Type changed from defect to enhancement

comment:2 Changed on Jan 31, 2006 at 10:19:42 PM by dkocher

  • Milestone changed from 2.6 to 2.7

comment:3 Changed on May 27, 2006 at 1:37:46 AM by dkocher

  • Milestone 2.7 deleted

Milestone 2.7 deleted

comment:4 Changed on Jun 6, 2006 at 8:39:51 AM by zedmac

Me, too. Can't use it with an HTTP1.1 Proxy Clients with Windows are usin Filezilla wich does support HTTP1.1 Proxys

comment:5 Changed on Jun 22, 2006 at 10:51:36 AM by dkocher

  • Milestone 2.5.1 deleted

comment:6 Changed on Dec 11, 2006 at 1:39:53 PM by dkocher

  • Milestone set to 2.9
  • Summary changed from I'd love to see HTTP proxy support to HTTP proxy support

comment:8 Changed on Feb 4, 2008 at 8:48:59 PM by nemesis19

please switch this ticket to a higher priority! thanks

comment:9 Changed on Mar 17, 2008 at 9:25:40 PM by dkocher

  • Milestone 3.0 deleted

comment:10 Changed on Jul 21, 2008 at 10:21:06 PM by dkocher

#2104 closed as duplicate.

comment:11 Changed on Feb 5, 2009 at 10:38:31 AM by anonymous

The only GUI client that supports HTTP proxy on Mac is FileZilla, which sucks in every other way. Please, raise the priority of this feature.

comment:12 Changed on Nov 3, 2009 at 9:36:27 PM by dkocher

We do support HTTP proxying for all protocols such as WebDAV and S3 based on HTTP.

comment:13 Changed on Nov 19, 2010 at 4:54:37 PM by dkocher

  • Summary changed from HTTP proxy support to HTTP proxy tunneling using CONNECT

comment:14 Changed on Dec 12, 2010 at 8:35:38 PM by dkocher

  • Owner dkocher deleted
  • Status changed from assigned to new

comment:15 Changed on Dec 19, 2012 at 12:47:27 PM by dkocher

  • Milestone set to 4.2.2
  • Resolution set to worksforme
  • Status changed from new to closed

comment:16 Changed on Mar 30, 2015 at 8:02:00 AM by dkocher

  • Milestone changed from 4.3 to 4.7
  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Summary changed from HTTP proxy tunneling using CONNECT to HTTP proxy tunneling using CONNECT method

Reopening this to add support for HTTP Connect Proxy tunneling for any protocol and not only HTTP.

In this mechanism, the client asks an HTTP Proxy server to forward the TCP connection to the desired destination. The server then proceeds to make the connection on behalf of the client. Once the connection has been established by the server, the Proxy server continues to proxy the TCP stream to and from the client. Note that only the initial connection request is HTTP - after that, the server simply proxies the established TCP connection.

comment:17 Changed on Mar 30, 2015 at 9:36:44 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r17171..

Version 0, edited on Mar 30, 2015 at 9:36:44 AM by dkocher (next)
Note: See TracTickets for help on using tickets.
swiss made software